#!/usr/bin/perl

$PROFILE_VERSION="0.1";

$CONFIG_FILE_PATH="/etc/sorcery/local/config";
$GRIMOIRE_FILE_PATH="/etc/sorcery/local/grimoire";
$ACTIVITY_LOG_PATH="/var/log/sorcery/activity";

$HOSTNAME=`less /etc/hostname`;
$DATE=`date`;
@CONFIG_FILE=`less $CONFIG_FILE_PATH`;
@GRIMOIRE_FILE=`less $GRIMOIRE_FILE_PATH`;
@INSTALLED=`gaze installed`;
@ACTIVITY_LOG=`less $ACTIVITY_LOG_PATH`;

($HOSTNAME)=($HOSTNAME=~/(.*)/);
$PROFILE_FILE="${HOSTNAME}.profile";

open PROFILE_FILE, ">$PROFILE_FILE" or die "\033[31m Can't open $PROFILE_FILE file\033[31m ";

print PROFILE_FILE "PROFILE_VERSION=$PROFILE_VERSION\n";
print PROFILE_FILE "ID=$HOSTNAME\n";
print PROFILE_FILE "DATE=$DATE\n";

print PROFILE_FILE "\n<config_file>\n";
print PROFILE_FILE "@CONFIG_FILE";
print PROFILE_FILE "<\\config_file>\n";

print PROFILE_FILE "\n<grimoire>\n";
print PROFILE_FILE "@GRIMOIRE_FILE";
print PROFILE_FILE "\n<\\grimoire>\n";

print PROFILE_FILE "\n<installed>\n";
print PROFILE_FILE "@INSTALLED";
print PROFILE_FILE "\n<\\installed>\n";

print PROFILE_FILE "\n<activity>\n";
print PROFILE_FILE "@ACTIVITY_LOG";
print PROFILE_FILE "\n<\\activity>\n";

close PROFILE_FILE;

`bzip2 -f $PROFILE_FILE`;
